<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}

{% block title %}{{ subject.title }}{% endblock %}
{% block titlePage %}{{ subject.title }}{% endblock %}

{% block menu %}
	{% if user.is_authenticated %}
		{% include "includes/menu.html" with active_tab='tab1' %}
	{% endif %}
{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_list' %}" class="page-link">Sujets</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_view' pk=subject.id %}" class="page-link">Détail</a></li>
{% endblock %}

{% block content %}
<div class="m-3">
    <div class="panel mt-4" >
            <div class="row p-5"><div class="cell-2 text-bold">Tuteur</div><div class="cell-10">{{ subject.user.first_name }} {{ subject.user.last_name }}</div></div>
            <div class="row p-5"><div class="cell-2 text-bold">Description</div><div class="cell-10">{{ subject.description|safe }}</div></div>
            <div class="row p-5"><div class="cell-2 text-bold">Tags</div><div class="cell-10">    
                            {% for tags in subject.tags.all %}
                                {{ tags.text }}     
                            {% endfor %}</div></div>
            <div class="row p-5"><div class="cell-2 text-bold">Technologies</div><div class="cell-10">    
                            {% for technologie in subject.technologies.all %}
                                {{ technologie.text }}     
                            {% endfor %}</div></div>
            <div class="row p-5"><div class="cell-2 text-bold">Difficulté</div><div class="cell-10">
                            {% for i in subject.difficulty|times %}
                                <span class="mif-star-full mif-2x fg-blue"></span>     
                            {% endfor %}
                            {% for i in subject.difficulty|timesMinus5 %}
                                <span class="mif-star-empty mif-2x fg-blue"></span>     
                            {% endfor %}</div></div>
            {% if request.user|has_group:"Tutor" or request.user|has_group:"Admin" %}
                <div class="row p-5">Le sujet a été vue {{ subject.nb_view }} fois.</div>
            {% endif %}

    </div>
</div>
{% endblock %}
